Can I use am emmc 4.41 device for i.MX53 ?

cancel
Showing results for 
Search instead for 
Did you mean: 

Can I use am emmc 4.41 device for i.MX53 ?

Jump to solution
1,030 Views
rainustc
Contributor II

hi,

     Everyone, i.MX53 documents indicate the ESDHC can support emmc 4.4 or less, but I want to use some emmc 4.41 devices for special purpose. I've just founded that emmc 4.41 specification introduces some new features like background operation and high priority interrupt, but I think these features don't block the way to be used with ESDHC. By the way, the link http://www.iwavesystems.com/?q=node/83 aslo gives me some reason to use the emmc 4.41 devices.

    Anybody can affirm about this topic?

    Thank you

     By Rain 

Labels (1)
Tags (4)
1 Solution
50 Views
Yuri
NXP TechSupport
NXP TechSupport

   You are right, the i.MX53 supports eMMC up to rev 4.4. Note, the JEDEC e-MMC standard V4.41

has backward compatibility. Therefore, it is possible to operate a V4.41 compliant device on a V4.3
or V4.4 compliant system.

   New functions such as HPI, background operation, write reliability and enhanced reliable write are
added to V4.41, therefore some software modifications may be needed in current BSPs to support
them. But in general (Linux) BSP supports eMMC4.4 DDR and SDR mode.

View solution in original post

1 Reply
51 Views
Yuri
NXP TechSupport
NXP TechSupport

   You are right, the i.MX53 supports eMMC up to rev 4.4. Note, the JEDEC e-MMC standard V4.41

has backward compatibility. Therefore, it is possible to operate a V4.41 compliant device on a V4.3
or V4.4 compliant system.

   New functions such as HPI, background operation, write reliability and enhanced reliable write are
added to V4.41, therefore some software modifications may be needed in current BSPs to support
them. But in general (Linux) BSP supports eMMC4.4 DDR and SDR mode.

View solution in original post